/* PhBPixelTexture.C: PhBPixelTexture nodes (public source) */

#include "PhBPixelTexture.H"

namespace xrml {

void PhBPixelTexture::render(void)
{
  PhBImageTextureBase::render();
}

void PhBPixelTexture::load(void)
{
  // very easy
  image.width = width;
  image.height = height;
  image.channels = channels;
  image.map = (float*)&pixels[0];
}

void PhBPixelTexture::util_destruct(void)
{
  image.map = 0; // don't delete it: it's a pointer to another array
}

}  // namespace xrml
